Subject: bug#27552: 25.2.50; Indentation problem in rnc-mode

From: Ivan Andrus <[email-masked]>
Date: Sat, 2 Jul 2022 14:43:49 -0600

First off, thank you very much for fixing this! 

I noticed, however, that it's not updated in ELPA because the version wasn't updated.  Then I was going to check out the GNU ELPA repository and maybe try bumping the version myself, but I failed (tried several times):

$ git clone git://git.sv.gnu.org/emacs/elpaa
Cloning into 'elpa'...
remote: Counting objects: 420700, done.
remote: Compressing objects: 100% (122372/122372), done.
warning: object 40b50e2bcb5b674697e3e2a41627564f810880c4: gitignoreSymlink: .gitignore is a symlink
warning: object da777249505761d5c51406d4a0d268629f146f8e: gitignoreSymlink: .gitignore is a symlink
warning: object fa73f7d32f618bd46247364932cac8aa591ed8b9: gitignoreSymlink: .gitignore is a symlink
warning: object 6bca01e6638f0e92ce277c1497c8f1175236315a: gitignoreSymlink: .gitignore is a symlink
warning: object 4246bb45961f0e8ed4ccb123648d55a2f043524c: gitignoreSymlink: .gitignore is a symlink
error: object 2699d230e3b592ae42506d7b5c969a7ac6a4593c: zeroPaddedFilemode: contains zero-padded file modes
fatal: fsck error in packed object
fatal: fetch-pack: invalid index-pack output

But that's a separate issue, I'll probably bring it up on Emacs devel, but I thought I actually send this email before I forget a second time.  :)

-Ivan

> On Jun 15, 2022, at 09:56, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> Stefan Monnier <[email-masked]> writes:
> 
>> Kind of, yes.  There are various places where we could try and fix
>> this problem, but this might be the simplest, indeed.
>> I pushed the patch below which does that.
> 
> Thanks; I can confirm that that fixes this issue, so I'm closing this
> bug report.
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no